@echo off
setlocal
cd ../../../Server/

set GOOS=linux
set GOARCH=amd64

echo [INFO] Build started...
echo.

for %%p in (gateway scene user) do (
    echo [BUILD] server-%%p...
    cd %%p
    go build -o server-%%p
    move server-%%p .. >nul    
    cd ..
)

echo.
echo [INFO] Build finished successfully!

endlocal